Skip to content
Docs

Users API Reference

This section covers all endpoints related to users.

Get User Growth

GET/users/growth
API
Code Examples
curl -X GET "https://api.chutes.ai/users/growth"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

List Chute Shares

GET/users/{user_id}/shares
API
Code Examples
curl -X GET "https://api.chutes.ai/users/{user_id}/shares"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
user_idstringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Admin User Id Lookup

GET/users/user_id_lookup
API
Code Examples
curl -X GET "https://api.chutes.ai/users/user_id_lookup"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
usernamestringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Admin Balance Lookup

GET/users/{user_id_or_username}/balance
API
Code Examples
curl -X GET "https://api.chutes.ai/users/{user_id_or_username}/balance"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
user_id_or_usernamestringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Admin Invoiced User List

GET/users/invoiced_user_list
API
Code Examples
curl -X GET "https://api.chutes.ai/users/invoiced_user_list"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Admin Batch User Lookup

POST/users/batch_user_lookup
API
Code Examples
curl -X POST "https://api.chutes.ai/users/batch_user_lookup"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Admin Balance Change

POST/users/admin_balance_change
API
Code Examples
curl -X POST "https://api.chutes.ai/users/admin_balance_change"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Request Body

FieldTypeRequiredDescription
user_idstringYes
amountnumberYes
reasonstringYes

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Grant Subnet Role

POST/users/grant_subnet_role
API
Code Examples
curl -X POST "https://api.chutes.ai/users/grant_subnet_role"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Request Body

FieldTypeRequiredDescription
userstringYes
netuidintegerYes
adminbooleanYes

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Revoke Subnet Role

POST/users/revoke_subnet_role
API
Code Examples
curl -X POST "https://api.chutes.ai/users/revoke_subnet_role"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Request Body

FieldTypeRequiredDescription
userstringYes
netuidintegerYes

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Admin Quotas Change

POST/users/{user_id}/quotas
API
Code Examples
curl -X POST "https://api.chutes.ai/users/{user_id}/quotas"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
user_idstringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Admin Get User Quotas

Load quotas for a user.

GET/users/{user_id}/quotas
API
Code Examples
curl -X GET "https://api.chutes.ai/users/{user_id}/quotas"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
user_idstringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Admin Discounts Change

POST/users/{user_id}/discounts
API
Code Examples
curl -X POST "https://api.chutes.ai/users/{user_id}/discounts"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
user_idstringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Admin List Discounts

GET/users/{user_id}/discounts
API
Code Examples
curl -X GET "https://api.chutes.ai/users/{user_id}/discounts"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
user_idstringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Admin Enable Invoicing

POST/users/{user_id}/enable_invoicing
API
Code Examples
curl -X POST "https://api.chutes.ai/users/{user_id}/enable_invoicing"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
user_idstringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


My Quotas

Load quotas for the current user.

GET/users/me/quotas
API
Code Examples
curl -X GET "https://api.chutes.ai/users/me/quotas"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


My Discounts

Load discounts for the current user.

GET/users/me/discounts
API
Code Examples
curl -X GET "https://api.chutes.ai/users/me/discounts"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


My Price Overrides

Load price overrides for the current user.

GET/users/me/price_overrides
API
Code Examples
curl -X GET "https://api.chutes.ai/users/me/price_overrides"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Chute Quota Usage

Check the current quota usage for a chute.

GET/users/me/quota_usage/{chute_id}
API
Code Examples
curl -X GET "https://api.chutes.ai/users/me/quota_usage/{chute_id}"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
chute_idstringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Delete My User

Delete account.

DELETE/users/me
API
Code Examples
curl -X DELETE "https://api.chutes.ai/users/me"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
AuthorizationstringYesAuthorization header

Responses

Status CodeDescription
200Successful Response
422Validation Error

Get a detailed response for the current user.

GET/users/set_logo
API
Code Examples
curl -X GET "https://api.chutes.ai/users/set_logo"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
logo_idstringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Check Username

Check if a username is valid and available.

GET/users/name_check
API
Code Examples
curl -X GET "https://api.chutes.ai/users/name_check"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
usernamestringYes
readonlyboolean | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Register

Register a user.

POST/users/register
API
Code Examples
curl -X POST "https://api.chutes.ai/users/register"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
tokenstring | nullNo
X-Chutes-HotkeystringYesThe hotkey of the user
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Request Body

FieldTypeRequiredDescription
usernamestringYes
coldkeystringYes
logo_idstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Get Registration Token

Initial form with cloudflare + hcaptcha to generate a registration token.

GET/users/registration_token
API
Code Examples
curl -X GET "https://api.chutes.ai/users/registration_token"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

Post Rtok

Verify hCaptcha and get a short-lived registration token.

POST/users/registration_token
API
Code Examples
curl -X POST "https://api.chutes.ai/users/registration_token"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

Admin Create User

Create a new user manually from an admin account, no bittensor stuff necessary.

POST/users/create_user
API
Code Examples
curl -X POST "https://api.chutes.ai/users/create_user"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Request Body

FieldTypeRequiredDescription
usernamestringYes
coldkeystring | nullNo
hotkeystring | nullNo
logo_idstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Change Fingerprint

Reset a user's fingerprint using either the hotkey or coldkey.

POST/users/change_fingerprint
API
Code Examples
curl -X POST "https://api.chutes.ai/users/change_fingerprint"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
Authorizationstring | nullNo
X-Chutes-Hotkeystring | nullNo
X-Chutes-Coldkeystring | nullNo
X-Chutes-NoncestringNoNonce
X-Chutes-SignaturestringNoHotkey signature

Request Body

FieldTypeRequiredDescription
fingerprintstringYes

Responses

Status CodeDescription
200Successful Response
422Validation Error

Get Login Nonce

Get a nonce for hotkey signature login. The nonce is a UUID4 string that must be signed by the user's hotkey. Valid for 5 minutes.

GET/users/login/nonce
API
Code Examples
curl -X GET "https://api.chutes.ai/users/login/nonce"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

Login

Exchange credentials for a JWT.

Supports two authentication methods:

  1. Fingerprint: {"fingerprint": "your-fingerprint"}
  2. Hotkey signature: {"hotkey": "5...", "signature": "hex...", "nonce": "uuid"}

For hotkey auth, first call GET /users/login/nonce to get a nonce, sign it with your hotkey (e.g., ), then submit the hotkey, signature, and nonce.

POST/users/login
API
Code Examples
curl -X POST "https://api.chutes.ai/users/login"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

Change Bt Auth

Change the bittensor hotkey/coldkey associated with an account via fingerprint auth.

POST/users/change_bt_auth
API
Code Examples
curl -X POST "https://api.chutes.ai/users/change_bt_auth"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
AuthorizationstringYes

Responses

Status CodeDescription
200Successful Response
422Validation Error

Update Squad Access

Enable squad access.

PUT/users/squad_access
API
Code Examples
curl -X PUT "https://api.chutes.ai/users/squad_access"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


List Usage

List usage summary data.

GET/users/{user_id}/usage
API
Code Examples
curl -X GET "https://api.chutes.ai/users/{user_id}/usage"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
user_idstringYes
pageinteger | nullNo
limitinteger | nullNo
per_chuteboolean | nullNo
chute_idstring | nullNo
start_datestring | nullNo
end_datestring | nullNo
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Get User Info

Get user info.

GET/users/{user_id}
API
Code Examples
curl -X GET "https://api.chutes.ai/users/{user_id}"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
user_idstringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.